EndpointsLobbies
Leave lobby
POST
/v2/lobbies/{lobby_id}/leaveRemoves the caller from their human seat in a draft lobby.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
lobby_id*Lobby Id
Lobby to leave.
Match
^lby_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$curl -X POST "https://softmax.com/api/observatory/v2/lobbies/string/leave"{ "game_address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "catalog_status": "listed" }, "id": "string", "league_id": "string", "coworld_id": "string", "coworld_name": "string", "coworld_version": "string", "coworld_manifest_hash": "string", "host_user_id": "string", "variant_id": "string", "variants": [ { "id": "string", "name": "string", "description": "string", "num_players": 0 } ], "authored_game_config": {}, "game_config_schema": {}, "min_players": 0, "max_players": 0, "min_player_limit": 0, "max_player_limit": 0, "status": "draft", "revision": 0, "episode_request_id": "string", "episode_id": "a7b62598-1927-4181-99d5-5d746c0bbcfe", "replay_url": "string", "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "ended_at": "2019-08-24T14:15:22Z", "termination_reason": "string", "expires_at": "2019-08-24T14:15:22Z", "seats": [ { "position": 0, "kind": "human_open", "player_id": "string", "player_name": "string", "is_me": true, "claimant_label": "string", "can_claim": true, "can_remove": true } ], "can_manage": true, "permissions": { "can_start": true, "can_edit": true, "can_remove_player": true, "can_end_game": true }, "ranked": true, "rating": { "status": "pending", "outcome": "win", "round_id": "string", "reason": "string", "changes": [ { "position": 0, "player_id": "string", "player_name": "string", "human": true, "score": 0, "before": 0, "after": 0 } ] }}